PDA

View Full Version : Uninstall Programming Tools



j0hn
28th June 2006, 12:10 AM
Is there a way to uninstall all of the programs in the "Programming" tab under the "Applications menu" as one whole package? Or do I have to do them one by one?

I did uninstall kdevelop programs as one whole package. The package included kdev c++, ruby, and others that were associated with kdev programming. I'm not a programmer so yea, I don't need them. The important stuff I really need is openoffice and that's it but the programming tools like Eclipse, Glade Interface Designer, Kbabel, Kbugbuster, Emacs Text Editor, and others I don't need.

markkuk
28th June 2006, 12:22 AM
yum groupremove 'Development Tools'

j0hn
28th June 2006, 12:47 AM
--> Running transaction check
--> Processing Dependency: eclipse-platform for package: eclipse-pydev
--> Running transaction check
--> Processing Dependency: eclipse-jdt = 1:3.1.0_fc-0.M6.22 for package: eclipse-jdt-devel
--> Processing Dependency: eclipse-platform-devel = 1:3.1.0_fc-0.M6.22 for package: eclipse-pde
--> Processing Dependency: eclipse-jdt = 1:3.1.0_fc-0.M6.22 for package: eclipse-pde
--> Restarting Dependency Resolution with new changes.
--> Populating transaction set with selected packages. Please wait.
---> Package eclipse-pde.i386 1:3.1.0_fc-0.M6.22 set to be erased
---> Package eclipse-jdt-devel.i386 1:3.1.0_fc-0.M6.22 set to be erased
--> Running transaction check
--> Processing Dependency: eclipse-jdt-devel = 1:3.1.0_fc-0.M6.22 for package: eclipse-pde-devel
--> Processing Dependency: eclipse-pde = 1:3.1.0_fc-0.M6.22 for package: eclipse-pde-devel
--> Restarting Dependency Resolution with new changes.
--> Populating transaction set with selected packages. Please wait.
---> Package eclipse-pde-devel.i386 1:3.1.0_fc-0.M6.22 set to be erased
--> Running transaction check

Dependencies Resolved

================================================== ===========================
Package Arch Version Repository Size
================================================== ===========================
Removing:
ElectricFence i386 2.2.2-20 installed 50 k
autoconf noarch 2.59-5 installed 1.7 M
automake noarch 1.9.5-1 installed 1.2 M
automake14 noarch 1.4p6-12 installed 650 k
automake15 noarch 1.5-13 installed 748 k
automake16 noarch 1.6.3-5 installed 800 k
automake17 noarch 1.7.9-6 installed 922 k
binutils i386 2.15.94.0.2.2-2 installed 6.7 M
bison i386 2.0-6 installed 1.3 M
byacc i386 1.9-29 installed 61 k
cscope i386 15.5-12 installed 431 k
ctags i386 5.5.4-3 installed 238 k
cvs i386 1.11.19-8 installed 2.9 M
ddd i386 3.3.10-2 installed 7.1 M
dejagnu noarch 1:1.4.4-4 installed 1.4 M
diffstat i386 1.38-2 installed 16 k
doxygen i386 1:1.4.2-1 installed 6.6 M
elfutils i386 0.108-1 installed 367 k
expect i386 5.43.0-1 installed 252 k
flex i386 2.5.4a-34 installed 237 k
gcc i386 4.0.0-8 installed 4.8 M
gcc-c++ i386 4.0.0-8 installed 5.4 M
gcc-gfortran i386 4.0.0-8 installed 5.3 M
gcc-gnat i386 4.0.0-8 installed 30 M
patchutils i386 0.2.30-4 installed 212 k
perl-XML-LibXML-Common i386 0.13-8 installed 27 k
perl-XML-NamespaceSupport noarch 1.08-7 installed 24 k
ORBit2-devel i386 2.12.1-3 installed 1.8 M
SDL-devel i386 1.2.8-3.2 installed 2.2 M
Xaw3d-devel i386 1.5E-4 installed 333 k
alsa-lib-devel i386 1.0.9rc4-2 installed 7.5 M
anaconda i386 10.2.1.5-2 installed 14 M
anaconda-runtime i386 10.2.1.5-2 installed 1.9 M
ant i386 1.6.2-3jpp_8fc installed 7.6 M
at-spi-devel i386 1.6.3-1 installed 997 k
eclipse-jdt i386 1:3.1.0_fc-0.M6.22 installed 46 M
eclipse-jdt-devel i386 1:3.1.0_fc-0.M6.22 installed 8.6 M
eclipse-pde i386 1:3.1.0_fc-0.M6.22 installed 18 M
eclipse-pde-devel i386 1:3.1.0_fc-0.M6.22 installed 1.7 M
eclipse-platform i386 1:3.1.0_fc-0.M6.22 installed 96 M
eclipse-platform-devel i386 1:3.1.0_fc-0.M6.22 installed 17 M
eclipse-pydev i386 1:0.9.3_fc-7 installed 6.9 M
eel2-devel i386 2.10.0-2 installed 225 k
efax i386 0.9-24 installed 185 k
gnome-python2-nautilus-cd-burner i386 2.10.0-2.1 installed 25 k
gnome-session i386 2.10.0-2 installed 1.2 M
gnome-speech-devel i386 0.3.6-1 installed 46 k
gnome-user-docs noarch 2.8.1-2 installed 1.9 M
kdebindings-devel i386 3.4.0-1 installed 128 k
kdelibs-devel i386 6:3.4.0-6 installed 110 M
kdemultimedia-devel i386 6:3.4.0-2 installed 1.1 M
kdenetwork-devel i386 7:3.4.0-3 installed 298 k
kdepim-devel i386 6:3.4.0-4 installed 1.0 M
openmotif-devel i386 2.2.3-10 installed 6.0 M
oprofile-devel i386 0.8.2-4 installed 524 k
pango-devel i386 1.8.1-2 installed 1.2 M
perl-Frontier-RPC noarch 0.06-39 installed 48 k
selinux-policy-targeted-sources noarch 1.23.16-6 installed 711 k
sound-juicer i386 2.10.1-1 installed 1.1 M
startup-notification-devel i386 0.8-2 installed 57 k stunnel i386 4.08-2 installed 287 k
system-config-network noarch 1.3.26-1 installed 2.1 M
system-config-network-tui noarch 1.3.26-1 installed 3.8 M
system-config-packages noarch 1.2.25-1 installed 1.1 M
system-config-printer i386 0.6.131-1 installed 2.2 M
system-config-printer-gui i386 0.6.131-1 installed 440 k
system-config-users noarch 1.2.38-1 installed 1.1 M
tk-devel i386 8.4.9-3 installed 1.2 M
tomcat5 i386 5.0.30-5jpp_6fc installed 12 M
tomcat5-admin-webapps i386 5.0.30-5jpp_6fc installed 1.5 M
tomcat5-jasper i386 5.0.30-5jpp_6fc installed 5.3 M
tomcat5-webapps i386 5.0.30-5jpp_6fc installed 26 M
totem-devel i386 1.0.2-1 installed 5.5 k
totem-xine i386 1.0.4-0.lvn.3.4 installed 3.2 M
tsclient i386 0.132-6 installed 411 k
up2date i386 4.4.23-4 installed 5.5 M
up2date-gnome i386 4.4.23-4 installed 661 k
vte-devel i386 0.11.13-2.fc4 installed 1.6 M
xorg-x11-deprecated-libs-devel i386 6.8.2-31 installed 81 k
xorg-x11-devel i386 6.8.2-31 installed 13 M
yelp i386 2.10.0-1 installed 1.0 M
ypserv i386 2.13-6 installed 265 k
yum noarch 2.3.2-7 installed 1.2 M

Transaction Summary
================================================== ===========================
Install 0 Package(s)
Update 0 Package(s)
Remove 288 Package(s)
Total download size: 0
Is this ok [y/N]:
################################################## ######################################

After typing the command yum groupremove 'Development Tools' I recieved the above which I then hit "NO" because I might destroy something other then the programming tools.

From what I'm assuming the above list contains totem-devel and totem-xine to be removed. Correct me if I'm wrong, not too sure about that. It is listed in the remove category. I don't want totem to be removed because I need it for music.

================================================== ===========================
Package Arch Version Repository Size
================================================== ===========================
Removing:
totem-devel i386 1.0.2-1 installed 5.5 k
totem-xine i386 1.0.4-0.lvn.3.4 installed 3.2 M

Oh yea there was more to the list but I couldn't post them because it said something about "The text that you have entered is too long (35792 characters). Please shorten it to 10000 characters long" so yea I had to erase a whole lot haha.

Omega Blue
28th June 2006, 07:29 AM
Remove the whole group, then install xine and totem separately as per Finley's instructions.

icydog
28th June 2006, 09:09 AM
Don't remove the whole group. Based on your output, stuff like selinux and yum will be deleted too, and i don't think you want that. It would be kind of hard to install xine and totem without yum!

j0hn
28th June 2006, 08:36 PM
Yes I know I'm not going to do it. Sounds kinda sloppy. Thanks for the replies tho, very appreciated.

SHtRO
28th June 2006, 08:47 PM
You might need your development tools to build something from source later. You probably shouldn't delete them. You should be able to edit the menu to remove those items you don't like by right-clicking on the menu button (instead of left-click) and select "Edit Menus".

There are some specific tools you may not need, but keeping the gcc and g++, Perl, and Python stuff around is not a bad idea.